AstroAsk Docs
API referenceVedic astrologyV1VedicAvastha

POST /v1/vedic/avastha

Baladi and Jagradadi avastha states for all planets.

POST
/v1/vedic/avastha

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/vedic/avastha" \  -H "Content-Type: application/json" \  -d '{    "date": "1990-01-15T10:30:00",    "lat": 28.6139,    "lng": 77.209  }'
{  "success": true,  "data": {    "planets": [      {        "planet": 0,        "signName": "Capricorn",        "house": 11,        "dignity": "Enemy Sign",        "avastha": {          "baladi": "Bala",          "jagradadi": "Sushupti",          "strengthModifier": 0.25,          "description": "Bala (Infant stage — planet is very weak; its significations are immature and undeveloped.) | Sushupti (Sleeping — uncomfortable; significations are suppressed or distorted.)"        },        "baladiAvastha": {          "name": "Bala",          "modifier": 0.25,          "desc": "Infant stage — planet is very weak; its significations are immature and undeveloped."        }      },      {        "planet": 1,        "signName": "Leo",        "house": 6,        "dignity": "Friendly Sign",        "avastha": {          "baladi": "Vriddha",          "jagradadi": "Swapna",          "strengthModifier": 0.5,          "description": "Vriddha (Old age stage — planet's significations are weakening and becoming less reliable.) | Swapna (Dreaming — comfortable but not fully expressive.)"        },        "baladiAvastha": {          "name": "Vriddha",          "modifier": 0.5,          "desc": "Old age stage — planet's significations are weakening and becoming less reliable."        }      },      {        "planet": 2,        "signName": "Scorpio",        "house": 9,        "dignity": "Own Sign",        "avastha": {          "baladi": "Mrita",          "jagradadi": "Jagrat",          "strengthModifier": 0.5625,          "description": "Mrita (Dead stage — planet's significations are severely compromised despite good dignity.) | Jagrat (Fully awake — at home and delivers its significations reliably.)"        },        "baladiAvastha": {          "name": "Mrita",          "modifier": 0.125,          "desc": "Dead stage — planet's significations are severely compromised despite good dignity."        }      },      {        "planet": 3,        "signName": "Sagittarius",        "house": 10,        "dignity": "Neutral Sign",        "avastha": {          "baladi": "Yuva",          "jagradadi": "Swapna",          "strengthModifier": 0.75,          "description": "Yuva (Adult stage — planet is at FULL strength; its significations express maximally.) | Swapna (Dreaming — partially engaged; results come but with mixed quality.)"        },        "baladiAvastha": {          "name": "Yuva",          "modifier": 1,          "desc": "Adult stage — planet is at FULL strength; its significations express maximally."        }      },      {        "planet": 4,        "signName": "Gemini",        "house": 4,        "dignity": "Enemy Sign",        "avastha": {          "baladi": "Kumara",          "jagradadi": "Sushupti",          "strengthModifier": 0.375,          "description": "Kumara (Adolescent stage — planet is growing but still developing its full expression.) | Sushupti (Sleeping — uncomfortable; significations are suppressed or distorted.)"        },        "baladiAvastha": {          "name": "Kumara",          "modifier": 0.5,          "desc": "Adolescent stage — planet is growing but still developing its full expression."        }      },      {        "planet": 5,        "signName": "Capricorn",        "house": 11,        "dignity": "Friendly Sign",        "avastha": {          "baladi": "Kumara",          "jagradadi": "Swapna",          "strengthModifier": 0.5,          "description": "Kumara (Adolescent stage — planet is growing but still developing its full expression.) | Swapna (Dreaming — comfortable but not fully expressive.)"        },        "baladiAvastha": {          "name": "Kumara",          "modifier": 0.5,          "desc": "Adolescent stage — planet is growing but still developing its full expression."        }      },      {        "planet": 6,        "signName": "Sagittarius",        "house": 10,        "dignity": "Neutral Sign",        "avastha": {          "baladi": "Vriddha",          "jagradadi": "Swapna",          "strengthModifier": 0.5,          "description": "Vriddha (Old age stage — planet's significations are weakening and becoming less reliable.) | Swapna (Dreaming — partially engaged; results come but with mixed quality.)"        },        "baladiAvastha": {          "name": "Vriddha",          "modifier": 0.5,          "desc": "Old age stage — planet's significations are weakening and becoming less reliable."        }      },      {        "planet": 7,        "signName": "Capricorn",        "house": 11,        "dignity": "Friendly Sign",        "avastha": {          "baladi": "Vriddha",          "jagradadi": "Swapna",          "strengthModifier": 0.5,          "description": "Vriddha (Old age stage — planet's significations are weakening and becoming less reliable.) | Swapna (Dreaming — comfortable but not fully expressive.)"        },        "baladiAvastha": {          "name": "Vriddha",          "modifier": 0.5,          "desc": "Old age stage — planet's significations are weakening and becoming less reliable."        }      },      {        "planet": 8,        "signName": "Cancer",        "house": 5,        "dignity": "Enemy Sign",        "avastha": {          "baladi": "Vriddha",          "jagradadi": "Sushupti",          "strengthModifier": 0.375,          "description": "Vriddha (Old age stage — planet's significations are weakening and becoming less reliable.) | Sushupti (Sleeping — uncomfortable; significations are suppressed or distorted.)"        },        "baladiAvastha": {          "name": "Vriddha",          "modifier": 0.5,          "desc": "Old age stage — planet's significations are weakening and becoming less reliable."        }      }    ],    "ashtottariApplicable": false  }}